org.eclipse.jgit.transport.http

## Class JDKHttpConnectionFactory

- java.lang.Object
- - org.eclipse.jgit.transport.http.JDKHttpConnectionFactory

All Implemented Interfaces:
  HttpConnectionFactory

    public class JDKHttpConnectionFactory
    extends Object
    implements HttpConnectionFactory

A factory returning instances of `JDKHttpConnection`

Since:
  3.3

### Constructor Summary

Constructors
Constructor and Description
`JDKHttpConnectionFactory()`

### Method Summary

Methods
`HttpConnection` `create(URL url)` Creates a new connection to a destination defined by a `URL`
`HttpConnection` `create(URL url, Proxy proxy)` Creates a new connection to a destination defined by a `URL` using a proxy

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JDKHttpConnectionFactory

    public JDKHttpConnectionFactory()

### Method Detail

#### create

    public HttpConnection create(URL url)
                          throws IOException

Description copied from interface: `HttpConnectionFactory`
Creates a new connection to a destination defined by a `URL`

Specified by:
  `create` in interface `HttpConnectionFactory`
Returns:
  a `HttpConnection`
Throws:
  `IOException`

#### create

    public HttpConnection create(URL url,
                        Proxy proxy)
                          throws IOException

Description copied from interface: `HttpConnectionFactory`
Creates a new connection to a destination defined by a `URL` using a proxy

Specified by:
  `create` in interface `HttpConnectionFactory`
  `proxy` - the proxy to be used
Returns:
  a `HttpConnection`
Throws:
  `IOException`